This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1250017 - [abrt] sumwars: index2addr(): sumwars killed by SIGSEGV
[abrt] sumwars: index2addr(): sumwars killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: sumwars (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Preisler
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ebfde4c196c2a7f93990e7bc0d7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 07:07 EDT by Greg
Modified: 2016-07-19 13:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:20:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.33 KB, text/plain)
2015-08-04 07:07 EDT, Greg
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-04 07:07 EDT, Greg
no flags Details
File: core_backtrace (2.97 KB, text/plain)
2015-08-04 07:07 EDT, Greg
no flags Details
File: dso_list (10.49 KB, text/plain)
2015-08-04 07:07 EDT, Greg
no flags Details
File: environ (1.71 KB, text/plain)
2015-08-04 07:07 EDT, Greg
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-04 07:07 EDT, Greg
no flags Details
File: maps (69.96 KB, text/plain)
2015-08-04 07:07 EDT, Greg
no flags Details
File: mountinfo (3.35 KB, text/plain)
2015-08-04 07:07 EDT, Greg
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-04 07:07 EDT, Greg
no flags Details
File: open_fds (1.51 KB, text/plain)
2015-08-04 07:07 EDT, Greg
no flags Details
File: proc_pid_status (1002 bytes, text/plain)
2015-08-04 07:07 EDT, Greg
no flags Details
File: var_log_messages (248 bytes, text/plain)
2015-08-04 07:07 EDT, Greg
no flags Details

  None (edit)
Description Greg 2015-08-04 07:07:25 EDT
Description of problem:
Just started the game and it crashed.

Version-Release number of selected component:
sumwars-0.5.8-3.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        sumwars
crash_function: index2addr
executable:     /usr/bin/sumwars
global_pid:     4309
kernel:         4.1.3-200.fc22.x86_64+debug
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 index2addr at lapi.c:61
 #1 lua_getfield at lapi.c:606
 #2 luaL_getsubtable at lauxlib.c:881
 #3 luaL_requiref at lauxlib.c:902
 #4 luaL_openlibs at linit.c:64
 #5 EventSystem::init at /usr/src/debug/sumwars-0.5.8/src/core/eventsystem.cpp:81
 #6 Application::loadResources at /usr/src/debug/sumwars-0.5.8/src/gui/application.cpp:1181
 #7 Application::init at /usr/src/debug/sumwars-0.5.8/src/gui/application.cpp:272
 #8 Application::Application at /usr/src/debug/sumwars-0.5.8/src/gui/application.cpp:117
Comment 1 Greg 2015-08-04 07:07:28 EDT
Created attachment 1059033 [details]
File: backtrace
Comment 2 Greg 2015-08-04 07:07:29 EDT
Created attachment 1059034 [details]
File: cgroup
Comment 3 Greg 2015-08-04 07:07:30 EDT
Created attachment 1059035 [details]
File: core_backtrace
Comment 4 Greg 2015-08-04 07:07:31 EDT
Created attachment 1059036 [details]
File: dso_list
Comment 5 Greg 2015-08-04 07:07:32 EDT
Created attachment 1059037 [details]
File: environ
Comment 6 Greg 2015-08-04 07:07:33 EDT
Created attachment 1059038 [details]
File: limits
Comment 7 Greg 2015-08-04 07:07:35 EDT
Created attachment 1059039 [details]
File: maps
Comment 8 Greg 2015-08-04 07:07:36 EDT
Created attachment 1059040 [details]
File: mountinfo
Comment 9 Greg 2015-08-04 07:07:37 EDT
Created attachment 1059041 [details]
File: namespaces
Comment 10 Greg 2015-08-04 07:07:38 EDT
Created attachment 1059042 [details]
File: open_fds
Comment 11 Greg 2015-08-04 07:07:38 EDT
Created attachment 1059043 [details]
File: proc_pid_status
Comment 12 Greg 2015-08-04 07:07:39 EDT
Created attachment 1059044 [details]
File: var_log_messages
Comment 13 Fedora End Of Life 2016-07-19 13:20:44 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.